#
# spec file for package python-certstream
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%{!?license: %global license %doc}
%bcond_without tests
Name:           python-certstream
Version:        1.9
Release:        bp155.2.10
Summary:        CertStream is a library for receiving certificate transparency list updates
License:        MIT
Group:          Development/Libraries/Python
Url:            https://github.com/CaliDog/certstream-python/
Source0:        https://pypi.io/packages/source/c/certstream/certstream-%{version}.tar.gz
# PATCH-FIX-OPENSUSE add-license.patch
Patch0:         add-license.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools >= 18.0.1}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
#SECTION tests
%if %{with tests}
BuildRequires:  %{python_module termcolor}
BuildRequires:  %{python_module websocket-client}
%endif
# /SECTION
Requires:       python3-termcolor
Requires:       python3-websocket-client
BuildArch:      noarch

%python_subpackages

%description
Certstream is a library to connect to the certstream network (certstream.calidog.io). 

It supports automatic reconnection when networks issues occur, and should be stable for long-running jobs. 

%prep
%setup -q -n certstream-%{version}
%patch0 -p1

%build
%{python_build}

%install
%{python_install}
%{python_expand %fdupes -s %{buildroot}%{$python_sitelib}}

%if %{with tests}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/certstream/
%{python_sitelib}/certstream-%{version}-py*.egg-info
%python3_only %{_bindir}/certstream

%changelog
* Wed Feb 28 2018 sebix+novell.com@sebix.at
- update to version 1.9
  * support for arbitrary kwargs
* Thu Dec  7 2017 sebix+novell.com@sebix.at
- add add-license.patch to add LICENSE file
* Sat Dec  2 2017 sebix+novell.com@sebix.at
- initial package for version 1.8
